loci.formats.gui

## Class NoExtensionFileFilter

- java.lang.Object
- - javax.swing.filechooser.FileFilter
  - - loci.formats.gui.NoExtensionFileFilter

- All Implemented Interfaces:
    java.io.FileFilter, java.lang.Comparable

      public class NoExtensionFileFilter
      extends javax.swing.filechooser.FileFilter
      implements java.io.FileFilter, java.lang.Comparable

  A file filter that selects files with no extension, for use with a JFileChooser.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoExtensionFileFilter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accept(java.io.File f)` Accepts files with no extension.
    `int` | `compareTo(java.lang.Object o)` Compares two FileFilter objects alphanumerically.
    `java.lang.String` | `getDescription()` Gets the filter's description.
    `java.lang.String` | `toString()` Gets a string representation of this file filter.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NoExtensionFileFilter

          public NoExtensionFileFilter()

  - ### Method Detail

    - #### accept

          public boolean accept(java.io.File f)

      Accepts files with no extension.
      Specified by:
        `accept` in interface `java.io.FileFilter`
      Specified by:
        `accept` in class `javax.swing.filechooser.FileFilter`

    - #### getDescription

          public java.lang.String getDescription()

      Gets the filter's description.
      Specified by:
        `getDescription` in class `javax.swing.filechooser.FileFilter`

    - #### toString

          public java.lang.String toString()

      Gets a string representation of this file filter.
      Overrides:
        `toString` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(java.lang.Object o)

      Compares two FileFilter objects alphanumerically.
      Specified by:
        `compareTo` in interface `java.lang.Comparable`

Copyright © 2026 Open Microscopy Environment